Skip to main content
GET
/
api
/
v1
/
backchannel
/
connections
/
holdings
cURL
curl --request GET \
  --url https://tilt.io/api/v1/backchannel/connections/holdings \
  --header 'Authorization: Bearer <token>'
[
  {
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "account_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "tilt_asset_id": "<string>",
    "ticker_symbol": "<string>",
    "raw_symbol": "<string>",
    "quantity": "<string>",
    "price": "<string>",
    "market_value": "<string>",
    "raw_description": "<string>",
    "currency": "<string>",
    "average_purchase_price": "<string>",
    "synced_at": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

account_uuid
string<uuid>

Filter holdings by account UUID

Response

200 - application/json

Holdings for a brokerage account

uuid
string<uuid>
required
account_uuid
string<uuid>
required
tilt_asset_id
string | null
required
ticker_symbol
string | null
required
raw_symbol
string
required
quantity
string
required
price
string | null
required
market_value
string | null
required
raw_description
string | null
currency
string
average_purchase_price
string | null
synced_at
string